|
|||||||||
| Home >> All >> com >> voytechs >> html >> [ application overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.voytechs.html.application
Class ToolServlet

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
com.voytechs.html.application.ToolServlet
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public abstract class ToolServlet
- extends javax.servlet.http.HttpServlet
Base class for all tool servlets.
One ToolServlet object exists and it manages individual
ToolSession objects. One ToolSession object exists per each
user session as created by the WebServer/WebBrowser.
Tool servlets interact with each other in a way that allows
commnitcation between any tools servlet and discoveries
of tools by any of the tools. (ie. A desktop tool can discover
all other tools and ask them to produce content that can be pluged into
the desktop.)
| Field Summary | |
private javax.servlet.ServletConfig |
servletConfig
|
private java.lang.String |
servletName
|
private java.lang.String |
servletPath
|
private static java.util.Vector |
toolServlets
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
ToolServlet(java.lang.String name)
|
|
| Method Summary | |
abstract com.voytechs.html.component.Panel |
createSessionPanel()
|
void |
doGet(javax.servlet.http.HttpServletRequest req,
javax.servlet.http.HttpServletResponse res)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
void |
doPost(javax.servlet.http.HttpServletRequest req,
javax.servlet.http.HttpServletResponse res)
Called by the server (via the service method)
to allow a servlet to handle a POST request. |
java.lang.String |
getName()
Get name of the servlet application |
java.lang.String |
getPath()
Get path to the servlet application |
javax.servlet.ServletConfig |
getServletConfig()
Get the servlet config object. |
static java.util.Vector |
getToolServlets()
Get all the ToolServlets currently running. |
void |
init(javax.servlet.ServletConfig conf)
Called by the servlet container to indicate to a servlet that the servlet is being placed into service. |
static void |
main(java.lang.String[] args)
Test function for ToolServlet |
private com.voytechs.html.component.ServletFrame |
retrieveSession(javax.servlet.http.HttpServletRequest req)
Retrieves the GUI Frame stored in the HttpSession object. |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
destroy, getInitParameter, getInitParameterNames, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
servletName
private java.lang.String servletName
servletPath
private java.lang.String servletPath
servletConfig
private javax.servlet.ServletConfig servletConfig
toolServlets
private static java.util.Vector toolServlets
| Constructor Detail |
ToolServlet
public ToolServlet(java.lang.String name)
| Method Detail |
getName
public java.lang.String getName()
- Get name of the servlet application
getPath
public java.lang.String getPath()
- Get path to the servlet application
getToolServlets
public static java.util.Vector getToolServlets()
- Get all the ToolServlets currently running.
getServletConfig
public javax.servlet.ServletConfig getServletConfig()
- Get the servlet config object.
init
public void init(javax.servlet.ServletConfig conf) throws javax.servlet.ServletException
- Description copied from class:
javax.servlet.GenericServlet - Called by the servlet container to indicate to a servlet that the
servlet is being placed into service. See Servlet.init(javax.servlet.ServletConfig)>
Servlet.init(javax.servlet.ServletConfig)55 .This implementation stores the javax.servlet.ServletConfig object it receives from the servlet container for later use. When overriding this form of the method, call
super.init(config).
doPost
public void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a POST request. The HTTP POST method allows the client to send data of unlimited length to the Web server a single time and is useful when posting information such as credit card numbers.When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
This method does not need to be either safe or idempotent. Operations requested through POST can have side effects for which the user can be held accountable, for example, updating stored data or buying items online.
If the HTTP POST request is incorrectly formatted,
doPostreturns an HTTP "Bad Request" message.
doGet
public void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
retrieveSession
private com.voytechs.html.component.ServletFrame retrieveSession(javax.servlet.http.HttpServletRequest req) throws javax.servlet.ServletException
- Retrieves the GUI Frame stored in the HttpSession object. If a new session is created
A ServletFrame is created and an abstract method createSessionPanel() is called to
create a new HTTP Panel for this new session. This function should be defined in
sub-classed application specific object.
createSessionPanel
public abstract com.voytechs.html.component.Panel createSessionPanel() throws com.voytechs.html.event.EventException
main
public static void main(java.lang.String[] args)
- Test function for ToolServlet
|
|||||||||
| Home >> All >> com >> voytechs >> html >> [ application overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC